.nav{
  border-bottom: 2px solid $bleu;
  -webkit-box-shadow: 0px 0px 20px -10px #000000; 
  box-shadow: 0px 0px 20px -10px #000000;
  color: $bleu;
  margin-bottom: 2rem;
  position: fixed;
  width: 100%;
  top: 0;
  background-color: $clair;
  &__container{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem 0rem;
  }
  &__lien{
    &-logo{
      width: 50px;
      position: relative;
      z-index: 10;
    }
  }
  &__burger {
    position: relative;
    width: 40px;
    height: 22px;
    background: none;
    box-shadow: none;
    border: none;
    outline: 0;
    cursor: pointer;
    z-index: 10;
    &-span {
      position: absolute;
      width: 26px;
      height: 2px;
      right: 0;
      background-color: #000;
      &:nth-child(1) {
        top: 0;
        transform: translateX(-50%) translateY(0);
        transition: top .3s cubic-bezier(0.21, 0.83, 0.26, 0.87) .3s,transform .3s cubic-bezier(0.21, 0.83, 0.26, 0.87);
      }
      &:nth-child(2) {
        top: 8px;
        opacity: 1;
        transform: translateX(-50%);
      }
      &:last-child {
        top: 16px;
        transform: translateX(-50%) translateY(0);
        transition: top .3s cubic-bezier(0.21, 0.83, 0.26, 0.87) .3s,transform .3s cubic-bezier(0.21, 0.83, 0.26, 0.87);
      }
    }
    &.open {
          span {
        &:nth-child(1) {
          top: 50%;          
          transform: translateX(-50%) translateY(0) rotate(45deg);
          transition: top .3s cubic-bezier(0.21, 0.83, 0.26, 0.87), transform .3s cubic-bezier(0.21, 0.83, 0.26, 0.87) .3s;
        }
        &:nth-child(2) {
          opacity: 0;
        }
        &:last-child {
          top: 50%;
          transform: translateX(-50%) translateY(0) rotate(-45deg);
          transition: bottom .3s cubic-bezier(0.21, 0.83, 0.26, 0.87) ,transform .3s cubic-bezier(0.21, 0.83, 0.26, 0.87) .3s;
        }
      }
    }
  }
}

.menu{
  position: fixed;
  height: 100vh;
  width: 100vw;
  top: 0;
  background-color: $clair;
  left: -200vw;
  display: flex;
  align-items: center;
  justify-content: center;
  &.open{
    left: 0;
  }
  &__elements{
    & li{
      padding-bottom: 1rem;
      margin-top: 1rem;
      border-bottom: 1px solid $bleu;
      &:first-child{
        margin-top: 0;
      }
      &:last-child{
        border-bottom: none;
      }
    }
  }
}

@media all and (min-width: 1200px ) {
  .nav {
    &__burger{
      display: none;
    }
  }
  .menu{
    position: unset;
    height: unset;
    width: unset;
    top: unset;
    background-color: transparent;
    left: unset;
    display: flex;
    align-items: unset;
    justify-content: unset;
    &__elements{
      display: flex;
      & li{
        margin-left: 2rem;
        padding-bottom: unset;
        margin-top: unset;
        border-bottom: none;
        & a{
          padding: 5px;
          &:hover{
            background-color: $vert;
            color: #fff;
            padding: 5px;
        }
        }
      }
    }
  }
}


/*sub-menu*/
.sub-menu.active {
  display: block ;
  position: relative ;
  margin-top: 4%;
  background-color: #21a96f ;
  color:#fff;
  
  
  
  }
  .sub-menu li{
  padding: 4%;
  }
  .menu-item-has-children > a:first-of-type:after {
  content: "V";
  display: inline-block;
  transition: 0.2s;
  margin-left: 10px;
  
  
  
  }
  .menu-item-has-children > a:first-of-type.expanded:after {
  transform: rotate(180deg);
  }
  .sub-menu li{
  margin:0;
  border-bottom: 1px solid #000;
  }
  .sub-menu {
  display: none;
  list-style: none;
  }
  @media all and (min-width:1200px) {
  .sub-menu.active {
  display: block;
  position: absolute;
  background-color: #ffff;
  color: #0c3753;
  padding:0;
  margin:0;
  }
  .sub-menu li{
  padding: 0%;
  }
  }

  // current-item
  .current-menu-item a {
    background-color: $vert;
    color: #fff;
  }